Imagine Language & Literacy

Device check tool

You need to have the right system in place for the best performance. You can check our System requirements to verify that you are using the right hardware.

Click the button to make sure your operating system version and browser version are compatible, and see if you have connectivity to all of the services required to use Imagine Learning.

 

This tool currently checks compatibility with the Imagine Learning legacy app only. We're working on an updated tool to check compatibility with Imagine Language & Literacy; in the meantime, please refer to system requirements for the Imagine Language & Literacy app.

Check my device